#include "builder.h"

#include "component.h"
#include "config.h"
#include "manager.h"

namespace NRTYServer {
    THnswIndexFakeBuilder::THnswIndexFakeBuilder(const TString& componentName)
        : IIndexComponentBuilder(componentName)
    {

    }

    bool THnswIndexFakeBuilder::Start() {

        return true;
    }

    bool THnswIndexFakeBuilder::Stop() {

        return true;
    }

    NRTYServer::IIndexComponentManager * THnswIndexFakeBuilder::GetManager()
    {

        return nullptr;
    }

    bool THnswIndexFakeBuilder::DoClose(const TBuilderCloseContext &) {

        return true;
    }

    void THnswIndexFakeBuilder::DoDiscard()
    {

    }
}
